#!/usr/bin/env ruby
#-*- coding: utf-8 -*-

puts("何回実行しますか?")
kaisu = gets. chomp. to_i
enshuritsu = 0.0
x = 0

while x < kaisu

 y = 4 * x + 1
 
 z = 4 * x + 3
 
 enshuritsu = enshuritsu + (1.0 / y) - (1.0 / z).to_f

 if x % (kaisu / 20) == 0
   printf("%d回 円周率 %.20f\n",x,enshuritsu * 4.0)
 end

 x = x + 1



end



printf("%d回 円周率 %.20f\n",x,enshuritsu * 4.0)




